Debian Bug report logs - #687419
devscripts: Enabling uscan to choose compression method when repackaging upstream source

version graph

Package: devscripts; Maintainer for devscripts is Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>; Source for devscripts is src:devscripts.

Reported by: Andreas Tille <tille@debian.org>

Date: Wed, 12 Sep 2012 15:15:01 UTC

Severity: wishlist

Tags: patch, pending

Merged with 730768

Found in versions devscripts/2.10.69+squeeze2, devscripts/2.10.69, devscripts/2.13.4

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>:
Bug#687419; Package devscripts. (Wed, 12 Sep 2012 15:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>. (Wed, 12 Sep 2012 15:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: devscripts: Enabling uscan to choose compression method when repackaging upstream source
Date: Wed, 12 Sep 2012 17:09:02 +0200
Package: devscripts
Version: 2.10.69+squeeze2
Severity: wishlist
Tags: patch

Hi,

as it was requested on debian-devel (for instance in[1]) an option to
influence the compression method when a repackaging is done by uscan
(either by using --repack option or when regarding the Files-Excluded
field in debian/copyright - provided the patch for bug #685787 will be
accepted) is nice to have.  I submitted a patch to do this in the Git
repository where I also maintain the code for #685787.  The actual
commit can be found here:

   http://anonscm.debian.org/gitweb/?p=users/tille/devscripts.git;a=commitdiff;h=4529b0d3b6e42ba0d6931d04e276fa419fcef658

I have tested this on several packages from Debian Med repository
successfully.  Please feel free to cherry pick from the Git repository.
Any further testing is welcome.

Kind regards

       Andreas.

[1] https://lists.debian.org/debian-devel/2012/08/msg00402.html

-- Package-specific info:

--- /etc/devscripts.conf ---

--- ~/.devscripts ---
Not present

-- System Information:
Debian Release: 6.0.5
Architecture: i386 (i686)

Kernel: Linux 2.6.36-xenU-4814-i386 (SMP w/1 CPU core)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages devscripts depends on:
ii  dpkg-dev               1.15.8.12         Debian package development tools
ii  libc6                  2.11.3-3          Embedded GNU C Library: Shared lib
ii  perl                   5.10.1-17squeeze3 Larry Wall's Practical Extraction 

Versions of packages devscripts recommends:
pn  at                 <none>                (no description available)
ii  bsd-mailx [mailx]  8.1.2-0.20100314cvs-1 simple mail user agent
ii  curl               7.21.0-2.1+squeeze2   Get a file from an HTTP, HTTPS or 
ii  dctrl-tools        2.14.5                Command-line tools to process Debi
pn  debian-keyring     <none>                (no description available)
pn  debian-maintainers <none>                (no description available)
ii  dput               0.9.6.1+squeeze1      Debian package upload tool
pn  equivs             <none>                (no description available)
ii  fakeroot           1.14.4-1              Gives a fake root environment
ii  git [git-core]     1:1.7.2.5-3           fast, scalable, distributed revisi
ii  git-core           1:1.7.2.5-3           fast, scalable, distributed revisi
ii  gnupg              1.4.10-4              GNU privacy guard - a free PGP rep
pn  libauthen-sasl-per <none>                (no description available)
pn  libcrypt-ssleay-pe <none>                (no description available)
pn  libjson-perl       <none>                (no description available)
pn  libparse-debcontro <none>                (no description available)
pn  libsoap-lite-perl  <none>                (no description available)
pn  libterm-size-perl  <none>                (no description available)
ii  libtimedate-perl   1.2000-1              collection of modules to manipulat
ii  liburi-perl        1.54-2                module to manipulate and access UR
ii  libwww-perl        5.836-1               Perl HTTP/WWW client/server librar
pn  libyaml-syck-perl  <none>                (no description available)
pn  lintian            <none>                (no description available)
ii  lsb-release        3.2-23.2squeeze1      Linux Standard Base version report
ii  lynx-cur [www-brow 2.8.8dev.5-1          Text-mode WWW Browser with NLS sup
ii  lzma               4.43-14               Compression method of 7z format in
ii  mailx              1:20071201-3          Transitional package for mailx ren
ii  man-db             2.5.7-8               on-line manual pager
ii  openssh-client [ss 1:5.5p1-6+squeeze2    secure shell (SSH) client, for sec
ii  patch              2.6-2                 Apply a diff file to an original
ii  patchutils         0.3.1-2               Utilities to work with patches
ii  sensible-utils     0.0.4                 Utilities for sensible alternative
pn  strace             <none>                (no description available)
ii  unzip              6.0-4                 De-archiver for .zip files
ii  w3m [www-browser]  0.5.2-9               WWW browsable pager with excellent
pn  wdiff              <none>                (no description available)
ii  wget               1.12-2.1              retrieves files from the web
ii  xz-utils           5.0.0-2               XZ-format compression utilities

Versions of packages devscripts suggests:
ii  build-essential        11.5              Informational list of build-essent
pn  cvs-buildpackage       <none>            (no description available)
pn  devscripts-el          <none>            (no description available)
pn  gnuplot                <none>            (no description available)
pn  libfile-desktopentry-p <none>            (no description available)
pn  libnet-smtp-ssl-perl   <none>            (no description available)
ii  mutt                   1.5.20-9+squeeze2 text-based mailreader supporting M
pn  svn-buildpackage       <none>            (no description available)
ii  w3m                    0.5.2-9           WWW browsable pager with excellent

-- no debconf information



Marked as found in versions devscripts/2.10.69. Request was from James McCoy <jamessan@debian.org> to control@bugs.debian.org. (Sat, 15 Sep 2012 00:15:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>:
Bug#687419; Package devscripts. (Sun, 06 Oct 2013 02:03:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>. (Sun, 06 Oct 2013 02:03:09 GMT) Full text and rfc822 format available.

Message #12 received at 687419@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: Andreas Tille <tille@debian.org>, 687419@bugs.debian.org
Subject: Re: Bug#687419: devscripts: Enabling uscan to choose compression method when repackaging upstream source
Date: Sun, 6 Oct 2013 11:02:20 +0900
Le Wed, Sep 12, 2012 at 05:09:02PM +0200, Andreas Tille a écrit :
> 
> as it was requested on debian-devel (for instance in[1]) an option to
> influence the compression method when a repackaging is done by uscan
> (either by using --repack option or when regarding the Files-Excluded
> field in debian/copyright - provided the patch for bug #685787 will be
> accepted) is nice to have.  I submitted a patch to do this in the Git
> repository where I also maintain the code for #685787.  The actual
> commit can be found here:
> 
>    http://anonscm.debian.org/gitweb/?p=users/tille/devscripts.git;a=commitdiff;h=4529b0d3b6e42ba0d6931d04e276fa419fcef658

Hello everybody,

I rediscovered this but report via <https://wiki.debian.org/UscanEnhancements>.
I think that it would definitely be nice to either have this option, or to
switch to XZ by default as suggested there.

Have a nice day,

-- 
Charles Plessy
Debian Med packaging team,
http://www.debian.org/devel/debian-med
Tsurumi, Kanagawa, Japan



Information forwarded to debian-bugs-dist@lists.debian.org, Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>:
Bug#687419; Package devscripts. (Sun, 16 Mar 2014 11:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>. (Sun, 16 Mar 2014 11:00:05 GMT) Full text and rfc822 format available.

Message #17 received at 687419@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: 687419@bugs.debian.org
Cc: Andreas Tille <tille@debian.org>
Subject: Re: [uscan] Allow a different compression scheme when repacking upstream tarballs
Date: Sun, 16 Mar 2014 11:57:37 +0100
[Message part 1 (text/plain, inline)]
Control: forcemerge 730768 687419

Hi,

these two bugs seem to be the same, merging.

Also note that I applied a small fix to the patch in
http://anonscm.debian.org/gitweb/?p=collab-maint/devscripts.git;a=commit;h=a727137d502a1667a984ad262acd59825ff4ba46

Andreas, can you check that it is indeed correct?

Thanks,
Joachim


-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Marked as found in versions devscripts/2.13.4. Request was from Joachim Breitner <nomeata@debian.org> to 687419-submit@bugs.debian.org. (Sun, 16 Mar 2014 11:00:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Joachim Breitner <nomeata@debian.org> to 687419-submit@bugs.debian.org. (Sun, 16 Mar 2014 11:00:06 GMT) Full text and rfc822 format available.

Merged 687419 730768 Request was from Joachim Breitner <nomeata@debian.org> to 687419-submit@bugs.debian.org. (Sun, 16 Mar 2014 11:00:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>:
Bug#687419; Package devscripts. (Mon, 17 Mar 2014 07:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
Extra info received and forwarded to list. Copy sent to Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>. (Mon, 17 Mar 2014 07:45:05 GMT) Full text and rfc822 format available.

Message #28 received at 687419@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: Joachim Breitner <nomeata@debian.org>
Cc: 687419@bugs.debian.org
Subject: Re: [uscan] Allow a different compression scheme when repacking upstream tarballs
Date: Mon, 17 Mar 2014 08:41:08 +0100
Hi Joachim,

just a quick note:

On Sun, Mar 16, 2014 at 11:57:37AM +0100, Joachim Breitner wrote:
> Control: forcemerge 730768 687419

+1

> these two bugs seem to be the same, merging.

Thanks.
 
> Also note that I applied a small fix to the patch in
> http://anonscm.debian.org/gitweb/?p=collab-maint/devscripts.git;a=commit;h=a727137d502a1667a984ad262acd59825ff4ba46
> 
> Andreas, can you check that it is indeed correct?

No time to check for the moment but the patch looks perfectly sensible.

Thanks

       Andreas.

-- 
http://fam-tille.de



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:35:52 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.